package com.ym.mec.biz.event;

import com.ym.mec.biz.dal.enums.MessageTypeEnum;
import com.ym.mec.biz.dal.enums.SysUserRoleEnum;
import org.springframework.context.ApplicationEvent;

public class SendSeoMessageChangeEvent extends ApplicationEvent {
    //分部
    private Integer organId;

    //角色列表
    private SysUserRoleEnum[] roleArr;

    //额外参数
    private String memo;

    //其他的目标用户
    private Integer targetId;

    //短信模板
    private MessageTypeEnum msgTemplate;

    //参数
    private Object[] args;

    /**
     * Create a new ApplicationEvent.
     *
     * @param source the object on which the event initially occurred (never {@code null})
     */
    public SendSeoMessageChangeEvent(Object source,Integer organId,SysUserRoleEnum[] roleArr,String memo,
                                     Integer targetId,MessageTypeEnum msgTemplate,Object... args) {
        super(source);
        this.organId = organId;
        this.roleArr = roleArr;
        this.memo = memo;
        this.targetId = targetId;
        this.msgTemplate = msgTemplate;
        this.args = args;
    }

    public Object[] getArgs() {
        return args;
    }

    public void setArgs(Object[] args) {
        this.args = args;
    }

    public MessageTypeEnum getMsgTemplate() {
        return msgTemplate;
    }

    public void setMsgTemplate(MessageTypeEnum msgTemplate) {
        this.msgTemplate = msgTemplate;
    }

    public Integer getOrganId() {
        return organId;
    }

    public void setOrganId(Integer organId) {
        this.organId = organId;
    }

    public SysUserRoleEnum[] getRoleArr() {
        return roleArr;
    }

    public void setRoleArr(SysUserRoleEnum[] roleArr) {
        this.roleArr = roleArr;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public Integer getTargetId() {
        return targetId;
    }

    public void setTargetIdList(Integer targetId) {
        this.targetId = targetId;
    }
}
